CVE-2004-0112
CVSS5.0
发布时间 :2004-11-23 00:00:00
修订时间 :2016-10-17 22:40:58
NMCOP    

[原文]The SSL/TLS handshaking code in OpenSSL 0.9.7a, 0.9.7b, and 0.9.7c, when using Kerberos ciphersuites, does not properly check the length of Kerberos tickets during a handshake, which allows remote attackers to cause a denial of service (crash) via a crafted SSL/TLS handshake that causes an out-of-bounds read.


[CNNVD]OpenSSL Kerberos ciphersuites越界读取拒绝服务攻击漏洞(CNNVD-200411-112)

        
        OpenSSL是一种开放源码的SSL实现,用来实现网络通信的高强度加密,现在被广泛地用于各种网络应用程序中。
        OpenSSL在处理使用Kerberos ciphersuites的SSL/TLS握手实现时存在问题,远程攻击者可以利用这个漏洞使OpenSSL崩溃。
        当使用Kerberos ciphersuites时,SSL/TLS握手代码存在一个缺陷,远程攻击者可以构建特殊的SSL/TLS握手,发送给配置使用了Kerberos ciphersuites的服务器,可导致OpenSSL崩溃,多数应用程序一般不使用Kerberos ciphersuites因此不受此漏洞影响。
        

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/a:openssl:openssl:0.9.7:beta3OpenSSL Project OpenSSL 0.9.7 beta3
cpe:/a:cisco:webns:6.10_b4Cisco WebNS 6.10 B4
cpe:/a:openssl:openssl:0.9.7:beta2OpenSSL Project OpenSSL 0.9.7 beta2
cpe:/a:openssl:openssl:0.9.7OpenSSL Project OpenSSL 0.9.7
cpe:/a:sgi:propack:2.3SGI ProPack 2.3
cpe:/o:cisco:pix_firewall:6.0%281%29
cpe:/a:openssl:openssl:0.9.7:beta1OpenSSL Project OpenSSL 0.9.7 beta1
cpe:/h:avaya:s8300:r2.0.0
cpe:/a:stonesoft:stonebeat_fullcluster:2.5
cpe:/h:cisco:firewall_services_module:2.1_%280.208%29Cisco Firewall Services Module 2.1 (0.208)
cpe:/o:freebsd:freebsd:5.1:releng
cpe:/a:stonesoft:stonebeat_fullcluster:2.0
cpe:/h:cisco:secure_content_accelerator:10000
cpe:/a:checkpoint:vpn-1:vsx_ng_with_application_intelligence
cpe:/a:sgi:propack:2.4SGI ProPack 2.4
cpe:/o:bluecoat:cacheos_ca_sa:4.1.10
cpe:/a:cisco:css_secure_content_accelerator:1.0
cpe:/h:avaya:sg200:4.31.29
cpe:/a:cisco:webns:6.10Cisco WebNS 6.10
cpe:/o:cisco:pix_firewall:6.0%282%29
cpe:/a:novell:imanager:1.5Novell iManager 1.5
cpe:/a:stonesoft:stonegate:1.7.1
cpe:/a:avaya:vsu:5000_r2.0.1
cpe:/a:lite:speed_technologies_litespeed_web_server:1.1.1
cpe:/a:stonesoft:stonegate:1.7.2
cpe:/a:lite:speed_technologies_litespeed_web_server:1.3
cpe:/o:redhat:linux:8.0Red Hat Linux 8.0
cpe:/a:vmware:gsx_server:2.0VMWare GSX Server 2.0
cpe:/a:cisco:webns:7.10_.0.06sCisco WebNS 7.10 .0.06s
cpe:/h:symantec:clientless_vpn_gateway_4400:5.0
cpe:/a:lite:speed_technologies_litespeed_web_server:1.1
cpe:/a:neoteris:instant_virtual_extranet:3.3.1
cpe:/o:freebsd:freebsd:4.8:releng
cpe:/a:avaya:vsu:500
cpe:/o:redhat:enterprise_linux:3.0::workstation_server
cpe:/o:redhat:enterprise_linux_desktop:3.0Red Hat Desktop 3.0
cpe:/a:novell:edirectory:8.5.12aNovell eDirectory 8.5.12a
cpe:/h:cisco:firewall_services_module:1.1_%283.005%29Cisco Firewall Services Module 1.1 (3.005)
cpe:/h:avaya:sg208Avaya SG208
cpe:/a:novell:edirectory:8.6.2Novell eDirectory 8.6.2
cpe:/o:cisco:pix_firewall:6.1
cpe:/o:freebsd:freebsd:5.1FreeBSD 5.1
cpe:/o:freebsd:freebsd:5.2FreeBSD 5.2
cpe:/o:freebsd:freebsd:5.1:release
cpe:/h:avaya:s8300:r2.0.1
cpe:/a:lite:speed_technologies_litespeed_web_server:1.2.2
cpe:/a:lite:speed_technologies_litespeed_web_server:1.2.1
cpe:/o:cisco:ios:12.1%2811b%29eCisco IOS 12.1 (11b)E
cpe:/h:securecomputing:sidewinder:5.2.1.02Secure Computing Sidewinder 5.2.1.02
cpe:/o:cisco:pix_firewall:6.3
cpe:/o:cisco:pix_firewall:6.0
cpe:/o:cisco:pix_firewall:6.2
cpe:/a:redhat:openssl:0.9.7a-2::i386
cpe:/o:cisco:ios:12.1%2819%29e1Cisco IOS 12.1(19)E1
cpe:/h:cisco:gss_4490_global_site_selectorCisco GSS 4490 Global Site Selector
cpe:/a:cisco:webns:7.10Cisco WebNS 7.10
cpe:/a:redhat:openssl:0.9.7a-2::i386_dev
cpe:/a:avaya:vsu:5
cpe:/o:cisco:pix_firewall:6.2%283.100%29
cpe:/a:avaya:intuity_audix:5.1.46Avaya Intuity R5 R5.1.46
cpe:/a:stonesoft:stonebeat_securitycluster:2.5
cpe:/a:cisco:okena_stormwatch:3.2Cisco Okena Stormwatch 3.2
cpe:/o:cisco:ios:12.2%2814%29sy1Cisco IOS 12.2 (14)SY1
cpe:/a:redhat:openssl:0.9.7a-2::i386_perl
cpe:/a:stonesoft:stonebeat_securitycluster:2.0
cpe:/o:hp:hp-ux:11.11HP-UX 11.11
cpe:/a:stonesoft:stonebeat_fullcluster:1_2.0
cpe:/a:lite:speed_technologies_litespeed_web_server:1.2_rc2
cpe:/a:novell:edirectory:8.7.1Novell eDirectory 8.7.1
cpe:/o:apple:mac_os_x:10.3.3Apple Mac OS X 10.3.3
cpe:/o:cisco:ios:12.2zaCisco IOS 12.2ZA
cpe:/a:novell:edirectory:8.5.27Novell eDirectory 8.5.27
cpe:/a:lite:speed_technologies_litespeed_web_server:1.2_rc1
cpe:/o:apple:mac_os_x_server:10.3.3Apple Mac OS X Server 10.3.3
cpe:/a:lite:speed_technologies_litespeed_web_server:1.3.1
cpe:/a:avaya:vsu:5x
cpe:/h:avaya:sg200:4.4Avaya SG200 4.4
cpe:/a:novell:edirectory:8.5Novell eDirectory 8.5
cpe:/a:tarantella:tarantella_enterprise:3.40
cpe:/a:novell:edirectory:8.0Novell eDirectory 8.0
cpe:/o:hp:hp-ux:11.23HP-UX 11i v2
cpe:/a:cisco:pix_firewall:6.2.2_.111
cpe:/o:cisco:ios:12.1%2811b%29e14Cisco IOS 12.1 (11b)E14
cpe:/o:cisco:ios:12.2%2814%29syCisco IOS 12.2 (14)SY
cpe:/o:cisco:pix_firewall:6.3%282%29
cpe:/h:bluecoat:proxysgBlue Coat Systems ProxySG
cpe:/a:vmware:gsx_server:2.5.1_build_5336VMWare GSX Server 2.5.1 build 5336
cpe:/a:lite:speed_technologies_litespeed_web_server:1.3_rc3
cpe:/a:checkpoint:firewall-1:::vsx-ng-ai
cpe:/a:lite:speed_technologies_litespeed_web_server:1.3_rc2
cpe:/a:lite:speed_technologies_litespeed_web_server:1.3_rc1
cpe:/o:cisco:pix_firewall:6.3%283.109%29
cpe:/a:cisco:webns:7.1_0.2.06Cisco WebNS 7.1 0.2.06
cpe:/o:cisco:ios:12.1%2811b%29e12Cisco IOS 12.1 (11b)E12
cpe:/a:stonesoft:stonegate:2.0.7
cpe:/a:stonesoft:stonegate:1.5.17
cpe:/o:bluecoat:cacheos_ca_sa:4.1.12
cpe:/o:freebsd:freebsd:5.2.1:release
cpe:/a:avaya:intuity_audix:::lx
cpe:/a:cisco:threat_responseCisco Threat Response
cpe:/a:rsa:bsafe_ssl-j_sdk:3.0RSA BSAFE SSL-J SDK 3.0
cpe:/a:rsa:bsafe_ssl-j_sdk:3.1RSA BSAFE SSL-J SDK 3.1
cpe:/a:4d:webstar:5.2.4
cpe:/a:4d:webstar:5.2.3
cpe:/o:hp:hp-ux:8.05HP HP-UX 8.5
cpe:/h:avaya:sg203:4.31.29
cpe:/a:4d:webstar:5.2.2
cpe:/a:4d:webstar:5.2.1
cpe:/a:stonesoft:stonegate:2.0.1
cpe:/a:stonesoft:stonegate:2.0.4
cpe:/a:stonesoft:stonegate:1.5.18
cpe:/h:avaya:s8500:r2.0.1
cpe:/h:avaya:s8500:r2.0.0
cpe:/o:hp:hp-ux:11.00HP-UX 11.00
cpe:/a:stonesoft:stonegate:2.0.5
cpe:/a:stonesoft:stonegate:2.0.8
cpe:/a:stonesoft:stonegate:2.0.6
cpe:/a:novell:edirectory:8.7.1:sp1Novell eDirectory 8.7.1 SU1
cpe:/a:stonesoft:stonegate:2.0.9
cpe:/a:cisco:application_and_content_networking_softwareCisco Application and Content Networking Software
cpe:/o:redhat:enterprise_linux:3.0::enterprise_server
cpe:/o:cisco:pix_firewall:6.2%283%29
cpe:/h:hp:aaa_serverHP AAA Server
cpe:/a:avaya:intuity_audix:s3400
cpe:/h:cisco:firewall_services_moduleCisco Firewall Services Module
cpe:/h:cisco:gss_4480_global_site_selectorCisco GSS 4480 Global Site Selector
cpe:/a:avaya:vsu:2000_r2.0.1
cpe:/o:openbsd:openbsd:3.4OpenBSD 3.4
cpe:/o:openbsd:openbsd:3.3OpenBSD 3.3
cpe:/o:cisco:pix_firewall:6.3%281%29
cpe:/o:cisco:ios:12.1%2811%29eCisco IOS 12.1 (11)E
cpe:/h:hp:apache-based_web_server:2.0.43.04HP Apache-Based Web Server 2.0.43.04
cpe:/h:hp:apache-based_web_server:2.0.43.00HP Apache-Based Web Server 2.0.43.00
cpe:/a:stonesoft:stonegate:2.2
cpe:/a:checkpoint:firewall-1:next_generation_fp2
cpe:/a:checkpoint:firewall-1:next_generation_fp1
cpe:/o:cisco:pix_firewall:6.1%284%29
cpe:/a:stonesoft:stonegate:2.1
cpe:/o:cisco:pix_firewall:6.2%281%29
cpe:/a:checkpoint:firewall-1:next_generation_fp0
cpe:/h:securecomputing:sidewinder:5.2Secure Computing Sidewinder 5.2
cpe:/o:cisco:ios:12.1%2813%29e9Cisco IOS 12.1(13)E9
cpe:/a:avaya:vsu:100_r2.0.1
cpe:/a:cisco:css11000_content_services_switch
cpe:/a:stonesoft:stonebeat_fullcluster:1_3.0
cpe:/a:hp:wbem:a.02.00.01HP WBEM A.02.00.01
cpe:/a:cisco:ciscoworks_common_management_foundation:2.1Cisco CiscoWorks Common Management Foundation 2.1
cpe:/a:avaya:vsu:10000_r2.0.1
cpe:/o:cisco:pix_firewall:6.1%285%29
cpe:/h:sun:crypto_accelerator_4000:1.0Sun Crypto Accelerator 4000 1.0
cpe:/h:cisco:call_managerCisco Call Manager
cpe:/h:avaya:sg208:4.4Avaya SG208 4.4
cpe:/a:avaya:intuity_audix:s3210
cpe:/h:avaya:sg203:4.4Avaya SG203 4.4
cpe:/a:4d:webstar:5.3
cpe:/a:cisco:css_secure_content_accelerator:2.0
cpe:/o:cisco:pix_firewall:6.2%282%29
cpe:/a:redhat:openssl:0.9.6-15::i386
cpe:/a:4d:webstar:5.2
cpe:/h:avaya:sg5:4.3Avaya SG5 4.3
cpe:/h:avaya:sg5:4.2Avaya SG5 4.2
cpe:/a:cisco:webns:7.1_0.1.02Cisco WebNS 7.1 0.1.02
cpe:/h:avaya:sg5:4.4Avaya SG5 4.4
cpe:/a:novell:imanager:2.0Novell iManager 2.0
cpe:/h:avaya:s8700:r2.0.1
cpe:/a:checkpoint:provider-1:4.1Checkpoint Provider-1 4.1
cpe:/a:stonesoft:stonegate:2.2.1
cpe:/h:avaya:s8700:r2.0.0
cpe:/a:hp:wbem:a.02.00.00HP WBEM A.02.00.00
cpe:/a:stonesoft:stonegate:2.2.4
cpe:/o:redhat:linux:7.2Red Hat Linux 7.2
cpe:/o:sco:openserver:5.0.6
cpe:/h:securecomputing:sidewinder:5.2.0.02Secure Computing Sidewinder 5.2.0.02
cpe:/h:securecomputing:sidewinder:5.2.0.01Secure Computing Sidewinder 5.2.0.01
cpe:/a:checkpoint:provider-1:4.1:sp2Checkpoint Provider-1 4.1 SP2
cpe:/a:stonesoft:stonebeat_webcluster:2.0
cpe:/a:vmware:gsx_server:2.0.1_build_2129VMWare GSX Server 2.0.1 build 2129
cpe:/a:checkpoint:provider-1:4.1:sp1Checkpoint Provider-1 4.1 SP1
cpe:/h:securecomputing:sidewinder:5.2.0.04Secure Computing Sidewinder 5.2.0.04
cpe:/a:stonesoft:stonegate:1.7
cpe:/h:securecomputing:sidewinder:5.2.0.03Secure Computing Sidewinder 5.2.0.03
cpe:/o:cisco:pix_firewall:6.1%282%29
cpe:/o:redhat:linux:7.3Red Hat Linux 7.3
cpe:/o:cisco:ios:12.2syCisco IOS 12.2SY
cpe:/a:hp:wbem:a.01.05.08HP WBEM A.01.05.08
cpe:/a:stonesoft:stonebeat_webcluster:2.5
cpe:/a:tarantella:tarantella_enterprise:3.30
cpe:/a:avaya:vsu:7500_r2.0.1
cpe:/h:cisco:content_services_switch_11500Cisco Content Service Switch 11500
cpe:/a:4d:webstar:4.0
cpe:/o:freebsd:freebsd:4.8FreeBSD 4.8
cpe:/o:freebsd:freebsd:4.9FreeBSD 4.9
cpe:/o:cisco:pix_firewall:6.1%283%29
cpe:/a:openssl:openssl:0.9.6cOpenSSL Project OpenSSL 0.9.6c
cpe:/a:openssl:openssl:0.9.6dOpenSSL Project OpenSSL 0.9.6d
cpe:/a:openssl:openssl:0.9.6eOpenSSL Project OpenSSL 0.9.6e
cpe:/a:openssl:openssl:0.9.6fOpenSSL Project OpenSSL 0.9.6f
cpe:/a:openssl:openssl:0.9.7aOpenSSL Project OpenSSL 0.9.7a
cpe:/a:4d:webstar:5.3.1
cpe:/a:openssl:openssl:0.9.7bOpenSSL Project OpenSSL 0.9.7b
cpe:/a:openssl:openssl:0.9.7cOpenSSL Project OpenSSL 0.9.7c
cpe:/a:checkpoint:provider-1:4.1:sp4Checkpoint Provider-1 4.1 SP4
cpe:/a:openssl:openssl:0.9.6kOpenSSL Project OpenSSL 0.9.6k
cpe:/a:vmware:gsx_server:2.5.1VMWare GSX Server 2.5.1
cpe:/a:checkpoint:provider-1:4.1:sp3Checkpoint Provider-1 4.1 SP3
cpe:/a:vmware:gsx_server:3.0_build_7592VMWare GSX Server 3.0 build 7592
cpe:/a:openssl:openssl:0.9.6gOpenSSL Project OpenSSL 0.9.6g
cpe:/a:openssl:openssl:0.9.6hOpenSSL Project OpenSSL 0.9.6h
cpe:/a:openssl:openssl:0.9.6iOpenSSL Project OpenSSL 0.9.6i
cpe:/a:openssl:openssl:0.9.6jOpenSSL Project OpenSSL 0.9.6j
cpe:/o:redhat:enterprise_linux:3.0::advanced_server
cpe:/a:stonesoft:servercluster:2.5
cpe:/a:cisco:access_registrarCisco Access Registrar
cpe:/h:securecomputing:sidewinder:5.2.1Secure Computing Sidewinder 5.2.1
cpe:/o:cisco:pix_firewall:6.0%283%29
cpe:/a:checkpoint:vpn-1:next_generation_fp0
cpe:/a:checkpoint:vpn-1:next_generation_fp1
cpe:/a:novell:edirectory:8.7Novell eDirectory 8.7
cpe:/a:checkpoint:vpn-1:next_generation_fp2
cpe:/a:cisco:webns:7.2_0.0.03Cisco WebNS 7.2 0.0.03
cpe:/a:stonesoft:stonebeat_fullcluster:3.0
cpe:/h:cisco:firewall_services_module:1.1.3Cisco Firewall Services Module 1.1.3
cpe:/a:sgi:propack:3.0SGI ProPack 3.0
cpe:/h:cisco:firewall_services_module:1.1.2Cisco Firewall Services Module 1.1.2
cpe:/a:cisco:ciscoworks_common_services:2.2Cisco CiscoWorks Common Services 2.2
cpe:/h:cisco:mds_9000Cisco MDS 9000
cpe:/o:cisco:pix_firewall:6.3%283.102%29
cpe:/a:redhat:openssl:0.9.6b-3::i386
cpe:/a:stonesoft:servercluster:2.5.2
cpe:/o:cisco:pix_firewall:6.1%281%29
cpe:/a:stonesoft:stonegate:1.6.2
cpe:/o:sco:openserver:5.0.7
cpe:/a:rsa:bsafe_ssl-j_sdk:3.0.1RSA BSAFE SSL-J SDK 3.0.1
cpe:/o:cisco:pix_firewall:6.0%284%29
cpe:/a:lite:speed_technologies_litespeed_web_server:1.0.3
cpe:/a:lite:speed_technologies_litespeed_web_server:1.0.2
cpe:/a:neoteris:instant_virtual_extranet:3.3
cpe:/a:stonesoft:stonegate:1.6.3
cpe:/a:neoteris:instant_virtual_extranet:3.1
cpe:/h:avaya:converged_communications_server:2.0Avaya Converged Communications Server 2.0
cpe:/a:lite:speed_technologies_litespeed_web_server:1.0.1
cpe:/a:neoteris:instant_virtual_extranet:3.2
cpe:/a:tarantella:tarantella_enterprise:3.20
cpe:/a:neoteris:instant_virtual_extranet:3.0
cpe:/o:cisco:pix_firewall:6.0%284.101%29
cpe:/a:checkpoint:firewall-1:2.0::gx

- OVAL (用于检测的技术细节)

oval:org.mitre.oval:def:9580The SSL/TLS handshaking code in OpenSSL 0.9.7a, 0.9.7b, and 0.9.7c, when using Kerberos ciphersuites, does not properly check the length of ...
oval:org.mitre.oval:def:928Red Hat Enterprise 3 OpenSSL Kerberos Handshake Vulnerability
oval:org.mitre.oval:def:1049Red Hat OpenSSL Kerberos Handshake Vulnerability
*OVAL详细的描述了检测该漏洞的方法,你可以从相关的OVAL定义中找到更多检测该漏洞的技术细节。

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-0112
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-0112
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200411-112
(官方数据源) CNNVD

- 其它链接及资源

ftp://ftp.netbsd.org/pub/NetBSD/security/advisories/NetBSD-SA2004-005.txt.asc
(UNKNOWN)  NETBSD  NetBSD-SA2004-005
ftp://ftp.sco.com/pub/updates/OpenServer/SCOSA-2004.10/SCOSA-2004.10.txt
(UNKNOWN)  SCO  SCOSA-2004.10
http://distro.conectiva.com.br/atualizacoes/?id=a&anuncio=000834
(UNKNOWN)  CONECTIVA  CLA-2004:834
http://docs.info.apple.com/article.html?artnum=61798
(UNKNOWN)  CONFIRM  http://docs.info.apple.com/article.html?artnum=61798
http://lists.apple.com/archives/security-announce/2005//Aug/msg00001.html
(UNKNOWN)  APPLE  APPLE-SA-2005-08-17
http://lists.apple.com/archives/security-announce/2005/Aug/msg00000.html
(UNKNOWN)  APPLE  APPLE-SA-2005-08-15
http://lists.apple.com/mhonarc/security-announce/msg00045.html
(UNKNOWN)  CONFIRM  http://lists.apple.com/mhonarc/security-announce/msg00045.html
http://marc.info/?l=bugtraq&m=107953412903636&w=2
(UNKNOWN)  BUGTRAQ  20040317 New OpenSSL releases fix denial of service attacks [17 March 2004]
http://marc.info/?l=bugtraq&m=108403806509920&w=2
(UNKNOWN)  HP  SSRT4717
http://security.gentoo.org/glsa/glsa-200403-03.xml
(UNKNOWN)  GENTOO  GLSA-200403-03
http://sunsolve.sun.com/pub-cgi/retrieve.pl?doc=fsalert/57524
(UNKNOWN)  SUNALERT  57524
http://www.ciac.org/ciac/bulletins/o-101.shtml
(UNKNOWN)  CIAC  O-101
http://www.cisco.com/warp/public/707/cisco-sa-20040317-openssl.shtml
(UNKNOWN)  CISCO  20040317 Cisco OpenSSL Implementation Vulnerability
http://www.kb.cert.org/vuls/id/484726
(UNKNOWN)  CERT-VN  VU#484726
http://www.mandriva.com/security/advisories?name=MDKSA-2004:023
(UNKNOWN)  MANDRAKE  MDKSA-2004:023
http://www.novell.com/linux/security/advisories/2004_07_openssl.html
(UNKNOWN)  SUSE  SuSE-SA:2004:007
http://www.openssl.org/news/secadv_20040317.txt
(UNKNOWN)  CONFIRM  http://www.openssl.org/news/secadv_20040317.txt
http://www.redhat.com/support/errata/RHSA-2004-120.html
(UNKNOWN)  REDHAT  RHSA-2004:120
http://www.redhat.com/support/errata/RHSA-2004-121.html
(UNKNOWN)  REDHAT  RHSA-2004:121
http://www.securityfocus.com/bid/9899
(VENDOR_ADVISORY)  BID  9899
http://www.slackware.org/security/viewer.php?l=slackware-security&y=2004&m=slackware-security.455961
(UNKNOWN)  SLACKWARE  SSA:2004-077
http://www.trustix.org/errata/2004/0012
(UNKNOWN)  TRUSTIX  2004-0012
http://www.uniras.gov.uk/vuls/2004/224012/index.htm
(UNKNOWN)  MISC  http://www.uniras.gov.uk/vuls/2004/224012/index.htm
http://www.us-cert.gov/cas/techalerts/TA04-078A.html
(VENDOR_ADVISORY)  CERT  TA04-078A
http://xforce.iss.net/xforce/xfdb/15508
(VENDOR_ADVISORY)  XF  openssl-kerberos-ciphersuites-dos(15508)

- 漏洞信息

OpenSSL Kerberos ciphersuites越界读取拒绝服务攻击漏洞
中危 未知
2004-11-23 00:00:00 2006-09-20 00:00:00
远程※本地  
        
        OpenSSL是一种开放源码的SSL实现,用来实现网络通信的高强度加密,现在被广泛地用于各种网络应用程序中。
        OpenSSL在处理使用Kerberos ciphersuites的SSL/TLS握手实现时存在问题,远程攻击者可以利用这个漏洞使OpenSSL崩溃。
        当使用Kerberos ciphersuites时,SSL/TLS握手代码存在一个缺陷,远程攻击者可以构建特殊的SSL/TLS握手,发送给配置使用了Kerberos ciphersuites的服务器,可导致OpenSSL崩溃,多数应用程序一般不使用Kerberos ciphersuites因此不受此漏洞影响。
        

- 公告与补丁

        厂商补丁:
        OpenSSL Project
        ---------------
        升级OpenSSL到0.9.7d或0.9.6m,重新编译任何静态连接OpenSSL库的应用程序。
        OpenSSL0.9.7d和0.9.6m可从如下地址获得:
         ftp://ftp.openssl.org/source/
        文件名为:
         o openssl-0.9.7d.tar.gz
         MD5 checksum: 1b49e90fc8a75c3a507c0a624529aca5
        
         o openssl-0.9.6m.tar.gz [normal]
         MD5 checksum: 1b63bfdca1c37837dddde9f1623498f9
         o openssl-engine-0.9.6m.tar.gz [engine]
         MD5 checksum: 4c39d2524bd466180f9077f8efddac8c

- 漏洞信息 (F32887)

Cisco Security Advisory 20040317-openssl (PacketStormID:F32887)
2004-03-17 00:00:00
Cisco Systems  cisco.com
advisory,denial of service
cisco
CVE-2004-0079,CVE-2004-0112
[点击下载]

Cisco Security Advisory 20040317 - A new vulnerability in the OpenSSL implementation for SSL has been announced. An affected network device running an SSL server based on an affected OpenSSL implementation may be vulnerable to a Denial of Service (DoS) attack.

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

      Cisco Security Advisory: Cisco OpenSSL Implementation Vulnerability

Revision 1.0

  For Public Release 2004 March 17 at 1300 UTC (GMT)

     ----------------------------------------------------------------------

Contents

     Summary
     Affected Products
     Details
     Impact
     Software Versions and Fixes
     Obtaining Fixed Software
     Workarounds
     Exploitation and Public Announcements
     Status of This Notice: INTERIM
     Distribution
     Revision History
     Cisco Security Procedures

     ----------------------------------------------------------------------

Summary

   A new vulnerability in the OpenSSL implementation for SSL
   has been announced on March 17, 2004.

   An affected network device running an SSL server based on an affected
   OpenSSL implementation may be vulnerable to a Denial of Service (DoS)
   attack. There are workarounds available to mitigate the effects of this
   vulnerability on Cisco products in the workaround section of this
   advisory. Cisco is providing fixed software, and recommends that customers
   upgrade to it when it is available.

   This advisory will be posted at
   http://www.cisco.com/warp/public/707/cisco-sa-20040317-openssl.shtml.

Affected Products

   The following products have their SSL implementation based on the OpenSSL
   code and are affected by this vulnerability.

     * Cisco IOS 12.1(11)E and later in the 12.1E release train. Only crypto
       images (56i and k2) are vulnerable for the Cisco 7100 and 7200 Series
       Routers.
     * Cisco IOS 12.2SY release train. Only crypto images (k8, k9 and k91)
       are vulnerable for the Cisco Catalyst 6500 Series and Cisco 7600
       Series Routers.
     * Cisco PIX Firewall
     * Cisco Firewall Services Module (FWSM) for the Cisco Catalyst 6500
       Series and Cisco 7600 Series routers
     * Cisco MDS 9000 Series Multilayer Switch
     * Cisco Content Service Switch (CSS) 11000 series
     * Cisco Global Site Selector (GSS) 4480
     * CiscoWorks Common Services (CWCS) version 2.2 and CiscoWorks Common
       Management Foundation (CMF) version 2.1
     * Cisco Access Registrar (CAR)

   The following products have their SSL implementation based on the OpenSSL
   code and are not affected by this vulnerability.

     * Cisco Secure Intrusion Detection System (NetRanger) appliance. This
       includes the IDS-42xx appliances, NM-CIDS and WS-SVS-IDSM2.
     * Cisco SN 5428 and SN 5428-2 Storage Router
     * Cisco CNS Configuration Engine
     * Cisco Network Analysis Modules (NAM) for the Cisco Catalyst 6000 and
       6500 Series switches and Cisco 7600 Series routers
     * Cisco SIP Proxy Server (SPS)
     * CiscoWorks 1105 Hosting Solution Engine (HSE)
     * CiscoWorks 1105 Wireless LAN Solution Engine (WLSE)
     * Cisco Ethernet Subscriber Solution Engine (ESSE)

   The following products, which implement SSL, are not affected by this
   vulnerability.

     * Cisco VPN 3000 Series Concentrators

   CatOS does not implement SSL and is not vulnerable.

   No other Cisco products are currently known to be affected by this
   vulnerability. This vulnerability is still being actively investigated
   across Cisco products and status of some products has still not been
   determined.

Details

   Secure Sockets Layer (SSL), is a protocol used to encrypt the data
   transferred over an TCP session. SSL in Cisco products is mainly used by
   the HyperText Transfer Protocol Secure (HTTPS) web service for which the
   default TCP port is 443. The affected products, listed above, are only
   vulnerable if they have the HTTPS service enabled and the access to the
   service is not limited to trusted hosts or network management
   workstations.

   To check if the HTTPS service is enabled one can do the following:

    1. Check the configuration on the device to verify the status of the
       HTTPS service.
    2. Try to connect to the device using a standard web browser that
       supports SSL using a URL similar to https://ip_address_of_device/.
    3. Try and connect to the default HTTPS port, TCP 443, using Telnet.
       telnet ip_address_of_device 443. If the session connects the service
       is enabled and accessible.

   Testing by the OpenSSL development team has uncovered a null-pointer
   assignment in the do_change_cipher_spec() function. A remote attacker
   could perform a carefully crafted SSL/TLS handshake against a server that
   used the OpenSSL library in such a way as to cause OpenSSL to crash. This
   crash on many Cisco products would cause the device to reload. Repeated
   exploitation of this vulnerability would result in a Denial of Service
   (DoS) attack on the device.

   Another flaw was also discovered in the SSL/TLS handshaking code when
   using Kerberos ciphersuites. A remote attacker could perform a carefully
   crafted SSL/TLS handshake against a server configured to use Kerberos
   ciphersuites in such a way as to cause OpenSSL to crash. None of the Cisco
   OpenSSL implementations are known to use Kerberos ciphersuites and are
   therefore not affected by this second vulnerability.

   A third vulnerability described in the NISCC advisory is a bug in older
   versions of OpenSSL, versions before 0.9.6d, that can also lead to a
   Denial of Service attack. None of the Cisco OpenSSL implementations are
   known to be affected by this older OpenSSL issue.

   More information on the OpenSSL vulnerability is available at
   http://www.openssl.org/news/secadv_20040317.txt .

     * Cisco IOS - All 12.1(11)E and later IOS software crypto (56i and k2)
       image releases in the 12.1E release train for the Cisco 7100 and 7200
       Series Routers are affected by this vulnerability. All IOS software
       crypto (k8, k9, and k91) image releases in the 12.2SY release train
       for the Cisco Catalyst 6500 Series and Cisco 7600 Series Routers are
       affected by this vulnerability. The SSH implementation in IOS is not
       dependent on any OpenSSL code. SSH implementations in IOS do not
       handle certificates, yet, and therefore do not use any SSL code for
       SSH. OpenSSL in 12.1E and 12.2SY release trains is only used for
       providing the HTTPS and VPN Device Manager (VDM) services. This
       vulnerability is documented in the Cisco Bug Toolkit (registered
       customers only) as Bug ID CSCee00041. The HTTPS web service, that uses
       the OpenSSL code, on the device is disabled by default. The no ip http
       secure-server command may be used to disable the HTTPS web service on
       the device, if required. The SSH and IPSec services in IOS are not
       vulnerable to this vulnerability.
     * Cisco PIX Firewall - PIX 6.x releases are affected by this
       vulnerability. PIX 5.x releases do not contain any SSL code and are
       not vulnerable. This vulnerability is documented in the Cisco Bug
       Toolkit (registered customers only) as Bug ID CSCed90672.
     * Cisco Firewall Services Module (FWSM) for the Cisco Catalyst 6500
       Series and Cisco 7600 Series routers - This vulnerability is
       documented in the Cisco Bug Toolkit (registered customers only) as Bug
       ID CSCee02055.
     * Cisco MDS 9000 Series Multilayer Switches - This vulnerability is
       documented in the Cisco Bug Toolkit (registered customers only) as Bug
       ID CSCed96246.
     * Cisco Content Service Switch (CSS) 11000 series - WebNS version 6.x
       and 7.x are affected by this vulnerability. WebNS version 5.x is not
       vulnerable to the OpenSSL vulnerabilities. This vulnerability is
       documented in the Cisco Bug Toolkit (registered customers only) as Bug
       ID CSCee01234 for SCM and is documented in the Cisco Bug Toolkit
       (registered customers only) as Bug ID CSCee01240 for the SSL module.
     * Cisco Global Site Selector (GSS) 4480 - This vulnerability is
       documented in the Cisco Bug Toolkit (registered customers only) as Bug
       ID CSCee01057.
     * CiscoWorks Common Services (CWCS) version 2.2 and CiscoWorks Common
       Management Foundation (CMF) version 2.1 - This vulnerability is
       documented in the Cisco Bug Toolkit (registered customers only) as Bug
       ID CSCsa13748.
     * Cisco Access Registrar (CAR) - This vulnerability is documented in the
       Cisco Bug Toolkit (registered customers only) as Bug ID CSCee01956.

   The Internetworking Terms and Cisco Systems Acronyms online guides can be
   found at http://www.cisco.com/univercd/cc/td/doc/cisintwk/.

Impact

   An affected network device running an SSL server based on the OpenSSL
   implementation may be vulnerable to a Denial of Service (DoS) attack.

Software Versions and Fixes

     * Cisco IOS -

       +----------------------------------------+
       |Release|  Fixed Releases  |Availability |
       | Train |                  |             |
       |-------+------------------+-------------|
       |12.2SY |12.2(14)SY4       |March 25     |
       |-------+------------------+-------------|
       |       |12.1(13)E14       |April 8      |
       |12.1E  |12.1.(19)E7       |April 8      |
       |       |12.1(20)E3        |April 26     |
       +----------------------------------------+

     * Cisco PIX Firewall - The vulnerability is fixed in software releases
       6.0(4)102, 6.1(5)102, 6.2(3)107, and 6.3(3)124. These engineering
       builds may be obtained by contacting the Cisco Technical Assistance
       Center (TAC). TAC Contact information is given in the Obtaining Fixed
       Software section below.
     * Cisco Firewall Services Module (FWSM) for the Cisco Catalyst 6500
       Series and Cisco 7600 Series routers - The vulnerability is fixed in
       software release 1.1.3(14) which will be available by Monday, 22 of
       March, 2004. This engineering builds may be obtained by contacting the
       Cisco Technical Assistance Center (TAC). TAC Contact information is
       given in the Obtaining Fixed Software section below.
     * Cisco MDS 9000 Series Multilayer Switches - No fixed software release
       or software availability date has been determined yet.
     * Cisco Content Service Switch (CSS) 11000 series -No fixed software
       release or software availability date has been determined yet.
     * Cisco Global Site Selector (GSS) 4480 - No fixed software release or
       software availability date has been determined yet.
     * CiscoWorks Common Services (CWCS) version 2.2 and CiscoWorks Common
       Management Foundation (CMF) version 2.1 - No fixed software release or
       software availability date has been determined yet.
     * Cisco Access Registrar (CAR) - The vulnerability is fixed in software
       release 3.5.0.12 which will be available by Friday, 26 of March, 2004.

Obtaining Fixed Software

   Cisco is offering free software upgrades to address this vulnerability for
   all affected customers.

   Customers may only install and expect support for the feature sets they
   have purchased. By installing, downloading, accessing or otherwise using
   such software upgrades, Customers agree to be bound by the terms of
   Cisco's software license terms found at
   http://www.cisco.com/public/sw-license-agreement.html, or as otherwise set
   forth at the Cisco Connection Online Software Center at
   http://www.cisco.com/public/sw-center/sw-usingswc.shtml.

   Customers with contracts should obtain upgraded software through their
   regular update channels. For most customers, this means that upgrades
   should be obtained through the Software Center on Cisco's worldwide
   website at http://www.cisco.com/tacpage/sw-center. To access the software
   download URL, you must be a registered user and you must be logged in.

   Customers whose Cisco products are provided or maintained through a prior
   or existing agreement with third-party support organizations such as Cisco
   Partners, authorized resellers, or service providers, should contact that
   support organization for assistance with obtaining the software
   upgrade(s).

   Customers who purchase direct from Cisco but who do not hold a Cisco
   service contract and customers who purchase through third-party vendors
   but are unsuccessful at obtaining fixed software through their point of
   sale should get their upgrades by contacting the Cisco Technical
   Assistance Center (TAC) using the contact information listed below. In
   these cases, customers are entitled to obtain a free upgrade to a later
   version of the same release or as indicated by the applicable corrected
   software version in the Software Versions and Fixes section (noted above).

   Cisco TAC contacts are as follows:

     * +1 800 553 2447 (toll free from within North America)
     * +1 408 526 7209 (toll call from anywhere in the world)
     * e-mail: tac@cisco.com

   See http://www.cisco.com/warp/public/687/Directory/DirTAC.shtml for
   additional TAC contact information, including special localized telephone
   numbers and instructions and e-mail addresses for use in various
   languages.

   Please have your product serial number available and give the URL of this
   notice as evidence of your entitlement to a upgrade. Upgrades for
   non-contract customers must be requested through the TAC.

   Please do not contact either "psirt@cisco.com" or
   "security-alert@cisco.com" for software upgrades.

Workarounds

   The Cisco PSIRT recommends that affected users upgrade to a fixed software
   version of code as soon as it is available.

     * Restrict access to the HTTPS server on the network device. Allow
       access to the network device only from trusted workstations by using
       access lists / MAC filters that are available on the affected
       platforms.
     * Disable the SSL server / service on the network device. This
       workaround must be weighed against the need for secure communications
       with the vulnerable device.

Exploitation and Public Announcements

   The Cisco PSIRT is not aware of any malicious use of the vulnerability
   described in this advisory.

   This vulnerability was reported to Cisco PSIRT by NISCC. NISCC has
   documented this vulnerability at
   http://www.uniras.gov.uk/vuls/2004/224012/index.htm .

Status of This Notice: INTERIM

   This is an interim advisory. Although Cisco cannot guarantee the accuracy
   of all statements in this advisory, all of the facts have been checked to
   the best of our ability. Cisco does not anticipate issuing updated
   versions of this advisory unless there is some material change in the
   facts. Should there be a significant change in the facts, Cisco may update
   this advisory.

   A stand-alone copy or paraphrase of the text of this security advisory
   that omits the distribution URL in the following section is an
   uncontrolled copy, and may lack important information or contain factual
   errors.

Distribution

   This advisory will be posted on Cisco's worldwide website at
   http://www.cisco.com/warp/public/707/cisco-sa-20040317-openssl.shtml .

   In addition to worldwide web posting, a text version of this notice is
   clear-signed with the Cisco PSIRT PGP key having the fingerprint 8C82 5207
   0CA9 ED40 1DD2 EE2A 7B31 A8CF 32B6 B590 and is posted to the following
   e-mail and Usenet news recipients.

     * cust-security-announce@cisco.com
     * first-teams@first.org (includes CERT/CC)
     * bugtraq@securityfocus.com
     * vulnwatch@vulnwatch.org
     * cisco@spot.colorado.edu
     * cisco-nsp@puck.nether.net
     * full-disclosure@lists.netsys.com
     * comp.dcom.sys.cisco@newsgate.cisco.com

   Future updates of this advisory, if any, will be placed on Cisco's
   worldwide website, but may or may not be actively announced on mailing
   lists or newsgroups. Users concerned about this problem are encouraged to
   check the above URL for any updates.

Revision History

   +------------------------------------------+
   |Revision 1.0|2004-March-17|Initial        |
   |            |             |release.       |
   +------------------------------------------+

Cisco Security Procedures

   Complete information on reporting security vulnerabilities in Cisco
   products, obtaining assistance with security incidents, and registering to
   receive security information from Cisco, is available on Cisco's worldwide
   website at
   http://www.cisco.com/warp/public/707/sec_incident_response.shtml. This
   includes instructions for press inquiries regarding Cisco security
   notices. All Cisco security advisories are available at
   http://www.cisco.com/go/psirt.

   This advisory is copyright 2004 by Cisco Systems, Inc. This advisory may
   be redistributed freely after the release date given at the top of the
   text, provided that redistributed copies are complete and unmodified,
   including all date and version information.

     ----------------------------------------------------------------------
-----BEGIN PGP SIGNATURE-----
Comment: PGP Signed by Sharad Ahlawat, Cisco Systems PSIRT

iD8DBQFAWFvZezGozzK2tZARAqIwAKDXDMLAY6eDYyU8y1MhKZUto2SRxwCg+oid
7AhsNlLsNVSLwTRKTHSigu0=
=gtba
-----END PGP SIGNATURE-----
    

- 漏洞信息 (F32886)

secadv_20040317.txt (PacketStormID:F32886)
2004-03-17 00:00:00
 
advisory,denial of service
CVE-2004-0079,CVE-2004-0112
[点击下载]

OpenSSL Security Advisory - A Null-pointer assignment during an SSL handshake can result in a denial of service. Versions 0.9.6c to 0.9.6k and 0.9.7a to 0.9.7c are affected by this issue. Versions 0.9.7a, 0.9.7b, and 0.9.7c are affected by another vulnerability in the handling of Kerberos ciphersuites that can cause OpenSSL to crash. Patches are attached to the advisory.

OpenSSL Security Advisory [17 March 2004]

Updated versions of OpenSSL are now available which correct two 
security issues:


1. Null-pointer assignment during SSL handshake
===============================================

Testing performed by the OpenSSL group using the Codenomicon TLS Test
Tool uncovered a null-pointer assignment in the
do_change_cipher_spec() function.  A remote attacker could perform a
carefully crafted SSL/TLS handshake against a server that used the
OpenSSL library in such a way as to cause OpenSSL to crash.  Depending
on the application this could lead to a denial of service.

The Common Vulnerabilities and Exposures project (cve.mitre.org) has
assigned the name CAN-2004-0079 to this issue.

All versions of OpenSSL from 0.9.6c to 0.9.6k inclusive and from
0.9.7a to 0.9.7c inclusive are affected by this issue.  Any
application that makes use of OpenSSL's SSL/TLS library may be
affected.  Please contact your application vendor for details.


2. Out-of-bounds read affects Kerberos ciphersuites
===================================================

Stephen Henson discovered a flaw in SSL/TLS handshaking code when
using Kerberos ciphersuites.  A remote attacker could perform a
carefully crafted SSL/TLS handshake against a server configured to use
Kerberos ciphersuites in such a way as to cause OpenSSL to crash.
Most applications have no ability to use Kerberos ciphersuites and
will therefore be unaffected.

The Common Vulnerabilities and Exposures project (cve.mitre.org) has
assigned the name CAN-2004-0112 to this issue.

Versions 0.9.7a, 0.9.7b, and 0.9.7c of OpenSSL are affected by this
issue.  Any application that makes use of OpenSSL's SSL/TLS library
may be affected.  Please contact your application vendor for details.

Recommendations
---------------

Upgrade to OpenSSL 0.9.7d or 0.9.6m.  Recompile any OpenSSL applications
statically linked to OpenSSL libraries.

OpenSSL 0.9.7d and OpenSSL 0.9.6m are available for download via HTTP and
FTP from the following master locations (you can find the various FTP
mirrors under http://www.openssl.org/source/mirror.html):

    ftp://ftp.openssl.org/source/

The distribution file names are:

    o openssl-0.9.7d.tar.gz
      MD5 checksum: 1b49e90fc8a75c3a507c0a624529aca5
    
    o openssl-0.9.6m.tar.gz [normal]
      MD5 checksum: 1b63bfdca1c37837dddde9f1623498f9
    o openssl-engine-0.9.6m.tar.gz [engine]
      MD5 checksum: 4c39d2524bd466180f9077f8efddac8c

The checksums were calculated using the following command:

    openssl md5 openssl-0.9*.tar.gz

Credits
-------

Patches for these issues were created by Dr Stephen Henson
(steve@openssl.org) of the OpenSSL core team.  The OpenSSL team would
like to thank Codenomicon for supplying the TLS Test Tool which was
used to discover these vulnerabilities, and Joe Orton of Red Hat for
performing the majority of the testing.

References
----------

http://www.codenomicon.com/testtools/tls/
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2004-0079
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2004-0112

URL for this Security Advisory:
http://www.openssl.org/news/secadv_20040317.txt


    

- 漏洞信息

4316
OpenSSL Kerberos SSL/TLS Handshake DoS
Local Access Required, Remote / Network Access Denial of Service, Input Manipulation
Loss of Availability
Exploit Public

- 漏洞描述

The SSL/TLS handshaking code in OpenSSL does not properly check the length of Kerberos tickets during an SSL/TLS handshake when using Kerberos ciphersuites. This allows remote attackers to cause a denial of service by manipulating the parameters during SSL/TLS handshake, causing an out-of-bounds read and crashing OpenSSL.

- 时间线

2004-03-17 Unknow
2004-03-17 Unknow

- 解决方案

Upgrade to version 0.9.7d or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站